Arduino

Reference Language | Libraries | Comparison | Changes

SD

## rmdir()

#### Description

Remove a directory from the SD card. The directory must be empty.

#### Syntax

SD.rmdir(filename)

#### Parameters

filename: the name of the directory to remove, with sub-directories separated by forward-slashes, /

#### Returns

true if the removal of the directory succeeded, false if not. (if the directory didn't exist, the return value is unspecified)

#### See also

- mkdir()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes